import {
  AggregateCard
} from "./chunk-G53IBMQP.js";
import {
  be
} from "./chunk-NSIUCWE6.js";
import {
  n,
  t
} from "./chunk-YG5H6GKR.js";
import {
  D,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/cards/AggregatePromiseCard.ts
var AggregatePromiseCard = class extends AggregateCard {
  constructor() {
    super(...arguments);
    this.failureMessage = msg("Operation failed to complete");
  }
  async promiseProxy() {
    if (!this.promise) {
      return D;
    }
    try {
      const value = await this.promise;
      return ke`<i class="fa fa-check-circle"></i>&nbsp;${value.toString()}`;
    } catch (error) {
      console.warn(error);
      return ke`<i class="fa fa-exclamation-circle"></i>&nbsp;${this.failureMessage}`;
    }
  }
  renderInner() {
    return ke`<p class="center-value">
            ${be(this.promiseProxy(), ke`<ak-spinner size="${"pf-m-lg" /* Large */}"></ak-spinner>`)}
        </p>`;
  }
};
__decorateClass([
  n({ attribute: false })
], AggregatePromiseCard.prototype, "promise", 2);
__decorateClass([
  n()
], AggregatePromiseCard.prototype, "failureMessage", 2);
AggregatePromiseCard = __decorateClass([
  t("ak-aggregate-card-promise")
], AggregatePromiseCard);
//# sourceMappingURL=chunk-TKIRIDFZ.js.map
