import {
  showMessage
} from "./chunk-5X7SWWLA.js";
import {
  BaseTaskButton
} from "./chunk-BUFJ44G7.js";
import {
  n,
  t
} from "./chunk-YG5H6GKR.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/buttons/ActionButton/ak-action-button.ts
var ActionButton = class extends BaseTaskButton {
  constructor() {
    super();
    this.apiRequest = () => {
      throw new Error();
    };
    this.callAction = () => {
      return this.apiRequest();
    };
    this.onError = this.onError.bind(this);
  }
  async onError(error) {
    super.onError(error);
    const message = error instanceof Error ? error.toString() : await error.text();
    showMessage({
      level: "error" /* error */,
      message
    });
  }
};
__decorateClass([
  n({ attribute: false })
], ActionButton.prototype, "apiRequest", 2);
ActionButton = __decorateClass([
  t("ak-action-button")
], ActionButton);
//# sourceMappingURL=chunk-WFRPDQ5M.js.map
