import {
  en_exports
} from "./chunk-LBUBVZVJ.js";
import {
  msg
} from "./chunk-BW7LVHGS.js";

// src/elements/ak-locale-context/definitions.ts
var enLocale = en_exports;
var debug = [
  "pseudo-LOCALE",
  /^pseudo/i,
  () => msg("Pseudolocale (for testing)"),
  async () => await import("./pseudo-LOCALE-W42ONTPU.js")
];
var LOCALE_TABLE = [
  ["de", /^de([_-]|$)/i, () => msg("German"), async () => await import("./de-AU6LFN3A.js")],
  ["en", /^en([_-]|$)/i, () => msg("English"), async () => await import("./en-24UWUKPQ.js")],
  ["es", /^es([_-]|$)/i, () => msg("Spanish"), async () => await import("./es-QWIS52WN.js")],
  ["fr", /^fr([_-]|$)/i, () => msg("French"), async () => await import("./fr-B4SSUCP7.js")],
  ["it", /^it([_-]|$)/i, () => msg("Italian"), async () => await import("./it-5OC3LYCM.js")],
  ["ko", /^ko([_-]|$)/i, () => msg("Korean"), async () => await import("./ko-VR6BEXH5.js")],
  ["nl", /^nl([_-]|$)/i, () => msg("Dutch"), async () => await import("./nl-QZYG47N6.js")],
  ["pl", /^pl([_-]|$)/i, () => msg("Polish"), async () => await import("./pl-D5YKTNZW.js")],
  ["ru", /^ru([_-]|$)/i, () => msg("Russian"), async () => await import("./ru-NDBPVCLP.js")],
  ["tr", /^tr([_-]|$)/i, () => msg("Turkish"), async () => await import("./tr-BXPZ6MMM.js")],
  ["zh_TW", /^zh[_-]TW$/i, () => msg("Taiwanese Mandarin"), async () => await import("./zh_TW-IUQHAWWI.js")],
  ["zh-Hans", /^zh(\b|_)/i, () => msg("Chinese (simplified)"), async () => await import("./zh-Hans-XFXVAZUB.js")],
  ["zh-Hant", /^zh[_-](HK|Hant)/i, () => msg("Chinese (traditional)"), async () => await import("./zh-Hant-BYIRR2IW.js")],
  debug
];
var LOCALES = LOCALE_TABLE.map(([code, match, label, locale]) => ({
  code,
  match,
  label,
  locale
}));

export {
  enLocale,
  LOCALES
};
//# sourceMappingURL=chunk-X6LRDTQA.js.map
