import {
  exists
} from "./chunk-M6BI7VX5.js";

// node_modules/@goauthentik/api/dist/esm/models/TypeCreate.js
function TypeCreateFromJSON(json) {
  return TypeCreateFromJSONTyped(json, false);
}
function TypeCreateFromJSONTyped(json, ignoreDiscriminator) {
  if (json === void 0 || json === null) {
    return json;
  }
  return {
    "name": json["name"],
    "description": json["description"],
    "component": json["component"],
    "modelName": json["model_name"],
    "iconUrl": !exists(json, "icon_url") ? void 0 : json["icon_url"],
    "requiresEnterprise": !exists(json, "requires_enterprise") ? void 0 : json["requires_enterprise"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSetting.js
function UserSettingFromJSON(json) {
  return UserSettingFromJSONTyped(json, false);
}
function UserSettingFromJSONTyped(json, ignoreDiscriminator) {
  if (json === void 0 || json === null) {
    return json;
  }
  return {
    "objectUid": json["object_uid"],
    "component": json["component"],
    "title": json["title"],
    "configureUrl": !exists(json, "configure_url") ? void 0 : json["configure_url"],
    "iconUrl": !exists(json, "icon_url") ? void 0 : json["icon_url"]
  };
}

export {
  TypeCreateFromJSON,
  UserSettingFromJSON
};
//# sourceMappingURL=chunk-VZW6B6VO.js.map
