import {
  AKElement,
  e2 as e,
  i,
  n,
  t,
  t2
} from "./chunk-YG5H6GKR.js";
import {
  D,
  ke,
  msg,
  si
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// node_modules/@patternfly/patternfly/components/Spinner/spinner.css
var spinner_default = '.pf-c-spinner {\n  --pf-c-spinner--diameter: var(--pf-global--icon--FontSize--xl);\n  --pf-c-spinner--Width: var(--pf-c-spinner--diameter);\n  --pf-c-spinner--Height: var(--pf-c-spinner--diameter);\n  --pf-c-spinner--Color: var(--pf-global--primary-color--100);\n  --pf-c-spinner--m-sm--diameter: var(--pf-global--icon--FontSize--sm);\n  --pf-c-spinner--m-md--diameter: var(--pf-global--icon--FontSize--md);\n  --pf-c-spinner--m-lg--diameter: var(--pf-global--icon--FontSize--lg);\n  --pf-c-spinner--m-xl--diameter: var(--pf-global--icon--FontSize--xl);\n  --pf-c-spinner--m-inline--diameter: 1em;\n  width: var(--pf-c-spinner--Width);\n  height: var(--pf-c-spinner--Height);\n  overflow: hidden;\n}\n.pf-c-spinner.pf-m-inline {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-inline--diameter);\n}\n.pf-c-spinner.pf-m-sm {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-sm--diameter);\n}\n.pf-c-spinner.pf-m-md {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-md--diameter);\n}\n.pf-c-spinner.pf-m-lg {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-lg--diameter);\n}\n.pf-c-spinner.pf-m-xl {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-xl--diameter);\n}\n\nspan.pf-c-spinner {\n  --pf-c-spinner--AnimationDuration: 1.5s;\n  --pf-c-spinner--AnimationTimingFunction: cubic-bezier(.77, .005, .315, 1);\n  --pf-c-spinner--stroke-width-multiplier: .1;\n  --pf-c-spinner--stroke-width: calc(var(--pf-c-spinner--diameter) * var(--pf-c-spinner--stroke-width-multiplier));\n  --pf-c-spinner__clipper--Width: var(--pf-c-spinner--diameter);\n  --pf-c-spinner__clipper--Height: var(--pf-c-spinner--diameter);\n  --pf-c-spinner__clipper--after--BoxShadowColor: var(--pf-c-spinner--Color);\n  --pf-c-spinner__clipper--after--Width: var(--pf-c-spinner--diameter);\n  --pf-c-spinner__clipper--after--Height: var(--pf-c-spinner--diameter);\n  --pf-c-spinner__clipper--after--BoxShadowSpreadRadius: var(--pf-c-spinner--stroke-width);\n  --pf-c-spinner__lead-ball--after--BackgroundColor: var(--pf-c-spinner--Color);\n  --pf-c-spinner__ball--after--Width: var(--pf-c-spinner--stroke-width);\n  --pf-c-spinner__ball--after--Height: var(--pf-c-spinner--stroke-width);\n  --pf-c-spinner__tail-ball--after--BackgroundColor: var(--pf-c-spinner--Color);\n  position: relative;\n  display: inline-block;\n  text-align: left;\n  animation: pf-animation-spinner-parent calc(var(--pf-c-spinner--AnimationDuration) * 2) var(--pf-c-spinner--AnimationTimingFunction) infinite;\n}\n\n@keyframes pf-animation-spinner-parent {\n  0% {\n    transform: rotate(0deg);\n  }\n  50% {\n    transform: rotate(540deg);\n  }\n  100% {\n    transform: rotate(1080deg);\n  }\n}\n.pf-c-spinner__clipper {\n  position: absolute;\n  width: var(--pf-c-spinner__clipper--Width);\n  height: var(--pf-c-spinner__clipper--Height);\n  clip-path: inset(0 0 50% 50%);\n  animation: pf-animation-spinner__clipper var(--pf-c-spinner--AnimationDuration) linear infinite;\n}\n\n@keyframes pf-animation-spinner__clipper {\n  0% {\n    transform: rotate(90deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n.pf-c-spinner__clipper::after {\n  position: absolute;\n  width: var(--pf-c-spinner__clipper--after--Width);\n  height: var(--pf-c-spinner__clipper--after--Height);\n  clip-path: inset(0 0 0 50%);\n  content: "";\n  border-radius: 50%;\n  box-shadow: inset 0 0 0 var(--pf-c-spinner__clipper--after--BoxShadowSpreadRadius) var(--pf-c-spinner__clipper--after--BoxShadowColor);\n  animation: pf-animation-spinner__clipper-after var(--pf-c-spinner--AnimationDuration) linear infinite;\n}\n\n@keyframes pf-animation-spinner__clipper-after {\n  0% {\n    transform: rotate(-180deg);\n  }\n  100% {\n    transform: rotate(90deg);\n  }\n}\n.pf-c-spinner__lead-ball {\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  animation: pf-animation-spinner__lead-ball var(--pf-c-spinner--AnimationDuration) linear infinite;\n}\n.pf-c-spinner__lead-ball::after {\n  position: absolute;\n  top: calc(50% - var(--pf-c-spinner__ball--after--Height) / 2);\n  right: 0;\n  width: var(--pf-c-spinner__ball--after--Width);\n  height: var(--pf-c-spinner__ball--after--Height);\n  content: "";\n  background-color: var(--pf-c-spinner__lead-ball--after--BackgroundColor);\n  border-radius: 50%;\n  transform-origin: top right;\n}\n\n@keyframes pf-animation-spinner__lead-ball {\n  0% {\n    transform: rotate(0deg);\n  }\n  33% {\n    transform: rotate(180deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n.pf-c-spinner__tail-ball {\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  animation: pf-animation-spinner__tail-ball var(--pf-c-spinner--AnimationDuration) linear infinite;\n}\n.pf-c-spinner__tail-ball::after {\n  position: absolute;\n  top: calc(50% - var(--pf-c-spinner__ball--after--Height) / 2);\n  right: 0;\n  width: var(--pf-c-spinner__ball--after--Width);\n  height: var(--pf-c-spinner__ball--after--Height);\n  content: "";\n  background-color: var(--pf-c-spinner__tail-ball--after--BackgroundColor);\n  border-radius: 50%;\n  transform-origin: top right;\n}\n\n@keyframes pf-animation-spinner__tail-ball {\n  0% {\n    transform: rotate(0deg);\n  }\n  66% {\n    transform: rotate(180deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\nsvg.pf-c-spinner {\n  --pf-c-spinner--diameter: var(--pf-global--icon--FontSize--xl);\n  --pf-c-spinner--AnimationDuration: 1.4s;\n  --pf-c-spinner--AnimationTimingFunction: linear;\n  --pf-c-spinner--stroke-width: 10;\n  --pf-c-spinner__path--Stroke: var(--pf-c-spinner--Color);\n  --pf-c-spinner__path--StrokeWidth: var(--pf-c-spinner--stroke-width);\n  --pf-c-spinner__path--AnimationTimingFunction: ease-in-out;\n  --pf-c-spinner--m-sm--diameter: var(--pf-global--icon--FontSize--sm);\n  --pf-c-spinner--m-md--diameter: var(--pf-global--icon--FontSize--md);\n  --pf-c-spinner--m-lg--diameter: var(--pf-global--icon--FontSize--lg);\n  --pf-c-spinner--m-xl--diameter: var(--pf-global--icon--FontSize--xl);\n  animation: pf-c-spinner-animation-rotate calc(var(--pf-c-spinner--AnimationDuration) * 2) var(--pf-c-spinner--AnimationTimingFunction) infinite;\n}\nsvg.pf-c-spinner.pf-m-sm {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-sm--diameter);\n}\nsvg.pf-c-spinner.pf-m-md {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-md--diameter);\n}\nsvg.pf-c-spinner.pf-m-lg {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-lg--diameter);\n}\nsvg.pf-c-spinner.pf-m-xl {\n  --pf-c-spinner--diameter: var(--pf-c-spinner--m-xl--diameter);\n}\n\n.pf-c-spinner__path {\n  width: 100%;\n  height: 100%;\n  transform-origin: 50% 50%;\n  animation: pf-c-spinner-animation-dash var(--pf-c-spinner--AnimationDuration) var(--pf-c-spinner__path--AnimationTimingFunction) infinite;\n  stroke: var(--pf-c-spinner--Color);\n  stroke-linecap: round;\n  stroke-dasharray: 283;\n  stroke-dashoffset: 280;\n  stroke-width: var(--pf-c-spinner--stroke-width);\n}\n\n@keyframes pf-c-spinner-animation-rotate {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n@keyframes pf-c-spinner-animation-dash {\n  0% {\n    stroke-dashoffset: 280;\n    transform: rotate(0);\n  }\n  15% {\n    stroke-width: calc(var(--pf-c-spinner__path--StrokeWidth) - 4);\n  }\n  40% {\n    stroke-dashoffset: 150;\n    stroke-dasharray: 220;\n  }\n  100% {\n    stroke-dashoffset: 280;\n    transform: rotate(720deg);\n  }\n}';

// src/elements/Spinner.ts
var Spinner = class extends AKElement {
  constructor() {
    super(...arguments);
    this.size = "pf-m-md" /* Medium */;
  }
  static get styles() {
    return [spinner_default];
  }
  render() {
    return ke`<span
            class="pf-c-spinner ${this.size.toString()}"
            role="progressbar"
            aria-valuetext="${msg("Loading...")}"
        >
            <span class="pf-c-spinner__clipper"></span>
            <span class="pf-c-spinner__lead-ball"></span>
            <span class="pf-c-spinner__tail-ball"></span>
        </span>`;
  }
};
__decorateClass([
  n()
], Spinner.prototype, "size", 2);
Spinner = __decorateClass([
  t("ak-spinner")
], Spinner);

// node_modules/lit-html/directive-helpers.js
var { I: et } = si;
var st = (o) => null === o || "object" != typeof o && "function" != typeof o;
var rt = (o) => void 0 === o.strings;
var lt = () => document.createComment("");
var at = (o, t3, i2) => {
  const n2 = o._$AA.parentNode, e2 = void 0 === t3 ? o._$AB : t3._$AA;
  if (void 0 === i2) {
    const t4 = n2.insertBefore(lt(), e2), l = n2.insertBefore(lt(), e2);
    i2 = new et(t4, l, o, o.options);
  } else {
    const t4 = i2._$AB.nextSibling, l = i2._$AM, c = l !== o;
    if (c) {
      let t5;
      i2._$AQ?.(o), i2._$AM = o, void 0 !== i2._$AP && (t5 = o._$AU) !== l._$AU && i2._$AP(t5);
    }
    if (t4 !== e2 || c) {
      let o2 = i2._$AA;
      for (; o2 !== t4; ) {
        const t5 = o2.nextSibling;
        n2.insertBefore(o2, e2), o2 = t5;
      }
    }
  }
  return i2;
};
var ct = (o, t3, i2 = o) => (o._$AI(t3, i2), o);
var ht = {};
var dt = (o, t3 = ht) => o._$AH = t3;
var ut = (o) => o._$AH;
var pt = (o) => {
  o._$AP?.(false, true);
  let t3 = o._$AA;
  const i2 = o._$AB.nextSibling;
  for (; t3 !== i2; ) {
    const o2 = t3.nextSibling;
    t3.remove(), t3 = o2;
  }
};

// node_modules/lit-html/async-directive.js
var mt = (i2, t3) => {
  const e2 = i2._$AN;
  if (void 0 === e2) return false;
  for (const i3 of e2) i3._$AO?.(t3, false), mt(i3, t3);
  return true;
};
var _t = (i2) => {
  let t3, e2;
  do {
    if (void 0 === (t3 = i2._$AM)) break;
    e2 = t3._$AN, e2.delete(i2), i2 = t3;
  } while (0 === e2?.size);
};
var wt = (i2) => {
  for (let t3; t3 = i2._$AM; i2 = t3) {
    let e2 = t3._$AN;
    if (void 0 === e2) t3._$AN = e2 = /* @__PURE__ */ new Set();
    else if (e2.has(i2)) break;
    e2.add(i2), gt(t3);
  }
};
function bt(i2) {
  void 0 !== this._$AN ? (_t(this), this._$AM = i2, wt(this)) : this._$AM = i2;
}
function yt(i2, t3 = false, e2 = 0) {
  const s = this._$AH, o = this._$AN;
  if (void 0 !== o && 0 !== o.size) if (t3) if (Array.isArray(s)) for (let i3 = e2; i3 < s.length; i3++) mt(s[i3], false), _t(s[i3]);
  else null != s && (mt(s, false), _t(s));
  else mt(this, i2);
}
var gt = (i2) => {
  i2.type == t2.CHILD && (i2._$AP ??= yt, i2._$AQ ??= bt);
};
var $t = class extends i {
  constructor() {
    super(...arguments), this._$AN = void 0;
  }
  _$AT(i2, t3, e2) {
    super._$AT(i2, t3, e2), wt(this), this.isConnected = i2._$AU;
  }
  _$AO(i2, t3 = true) {
    i2 !== this.isConnected && (this.isConnected = i2, i2 ? this.reconnected?.() : this.disconnected?.()), t3 && (mt(this, i2), _t(this));
  }
  setValue(i2) {
    if (rt(this.t)) this.t._$AI(i2, this);
    else {
      const t3 = [...this.t._$AH];
      t3[this.i] = i2, this.t._$AI(t3, this, 0);
    }
  }
  disconnected() {
  }
  reconnected() {
  }
};

// node_modules/@open-wc/lit-helpers/src/spread.js
var SpreadPropsDirective = class extends $t {
  constructor() {
    super(...arguments);
    this.prevData = {};
  }
  render(_spreadData) {
    return D;
  }
  update(part, [spreadData]) {
    var _a;
    if (this.element !== part.element) {
      this.element = part.element;
    }
    this.host = ((_a = part.options) === null || _a === void 0 ? void 0 : _a.host) || this.element;
    this.apply(spreadData);
    this.groom(spreadData);
    this.prevData = { ...spreadData };
  }
  apply(data) {
    if (!data)
      return;
    const { prevData, element } = this;
    for (const key in data) {
      const value = data[key];
      if (value === prevData[key]) {
        continue;
      }
      element[key] = value;
    }
  }
  groom(data) {
    const { prevData, element } = this;
    if (!prevData)
      return;
    for (const key in prevData) {
      if (!data || !(key in data) && element[key] === prevData[key]) {
        element[key] = void 0;
      }
    }
  }
};
var spreadProps = e(SpreadPropsDirective);
var SpreadEventsDirective = class extends SpreadPropsDirective {
  constructor() {
    super(...arguments);
    this.eventData = {};
  }
  apply(data) {
    if (!data)
      return;
    for (const key in data) {
      const value = data[key];
      if (value === this.eventData[key]) {
        continue;
      }
      this.applyEvent(key, value);
    }
  }
  applyEvent(eventName, eventValue) {
    const { prevData, element } = this;
    this.eventData[eventName] = eventValue;
    const prevHandler = prevData[eventName];
    if (prevHandler) {
      element.removeEventListener(eventName, this, eventValue);
    }
    element.addEventListener(eventName, this, eventValue);
  }
  groom(data) {
    const { prevData, element } = this;
    if (!prevData)
      return;
    for (const key in prevData) {
      if (!data || !(key in data) && element[key] === prevData[key]) {
        this.groomEvent(key, prevData[key]);
      }
    }
  }
  groomEvent(eventName, eventValue) {
    const { element } = this;
    delete this.eventData[eventName];
    element.removeEventListener(eventName, this, eventValue);
  }
  handleEvent(event) {
    const value = this.eventData[event.type];
    if (typeof value === "function") {
      value.call(this.host, event);
    } else {
      value.handleEvent(event);
    }
  }
  disconnected() {
    const { eventData, element } = this;
    for (const key in eventData) {
      const name = key.slice(1);
      const value = eventData[key];
      element.removeEventListener(name, this, value);
    }
  }
  reconnected() {
    const { eventData, element } = this;
    for (const key in eventData) {
      const name = key.slice(1);
      const value = eventData[key];
      element.addEventListener(name, this, value);
    }
  }
};
var spreadEvents = e(SpreadEventsDirective);
var SpreadDirective = class extends SpreadEventsDirective {
  apply(data) {
    if (!data)
      return;
    const { prevData, element } = this;
    for (const key in data) {
      const value = data[key];
      if (value === prevData[key]) {
        continue;
      }
      const name = key.slice(1);
      switch (key[0]) {
        case "@":
          this.eventData[name] = value;
          this.applyEvent(name, value);
          break;
        case ".":
          element[name] = value;
          break;
        case "?":
          if (value) {
            element.setAttribute(name, "");
          } else {
            element.removeAttribute(name);
          }
          break;
        default:
          if (value != null) {
            element.setAttribute(key, String(value));
          } else {
            element.removeAttribute(key);
          }
          break;
      }
    }
  }
  groom(data) {
    const { prevData, element } = this;
    if (!prevData)
      return;
    for (const key in prevData) {
      const name = key.slice(1);
      if (!data || !(key in data) && element[name] === prevData[key]) {
        switch (key[0]) {
          case "@":
            this.groomEvent(name, prevData[key]);
            break;
          case ".":
            element[name] = void 0;
            break;
          case "?":
            element.removeAttribute(name);
            break;
          default:
            element.removeAttribute(key);
            break;
        }
      }
    }
  }
};
var spread = e(SpreadDirective);

export {
  spinner_default,
  st,
  at,
  ct,
  dt,
  ut,
  pt,
  $t,
  spread
};
/*! Bundled license information:

lit-html/directive-helpers.js:
  (**
   * @license
   * Copyright 2020 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

lit-html/async-directive.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
//# sourceMappingURL=chunk-3EM2FGRR.js.map
