import {
  HorizontalLightComponent
} from "./chunk-R4UCTWG2.js";
import {
  to
} from "./chunk-67ZPEVEU.js";
import {
  n,
  t
} from "./chunk-YG5H6GKR.js";
import {
  ke
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/components/ak-number-input.ts
var AkNumberInput = class extends HorizontalLightComponent {
  constructor() {
    super(...arguments);
    this.value = NaN;
  }
  renderControl() {
    const setValue = (ev) => {
      const value = ev.target.value;
      this.value = value.trim() === "" ? NaN : parseInt(value, 10);
    };
    return ke`<input
            type="number"
            @input=${setValue}
            value=${to(this.value)}
            class="pf-c-form-control"
            ?required=${this.required}
        />`;
  }
};
__decorateClass([
  n({ type: Number, reflect: true })
], AkNumberInput.prototype, "value", 2);
AkNumberInput = __decorateClass([
  t("ak-number-input")
], AkNumberInput);
//# sourceMappingURL=chunk-VXC3VU3J.js.map
