import {
  version
} from "./chunk-OPWYAVJN.js";
import {
  selectSvgElement
} from "./chunk-Z4K3HPD2.js";
import {
  parse
} from "./chunk-3YUC4I5R.js";
import "./chunk-A5ONPO6Y.js";
import "./chunk-XEKIGP4I.js";
import "./chunk-WT7QSSUP.js";
import "./chunk-QFDJS5PK.js";
import {
  __name,
  configureSvgSize,
  log
} from "./chunk-ADKNUKZU.js";
import "./chunk-HHLRW7KB.js";
import "./chunk-PHSBYLOM.js";
import "./chunk-I64BK663.js";
import "./chunk-DQGOKED5.js";
import "./chunk-TGERULPP.js";
import "./chunk-KZ3QJOBN.js";

// node_modules/mermaid/dist/chunks/mermaid.core/infoDiagram-RZZSJVI2.mjs
var parser = {
  parse: /* @__PURE__ */ __name(async (input) => {
    const ast = await parse("info", input);
    log.debug(ast);
  }, "parse")
};
var DEFAULT_INFO_DB = { version };
var getVersion = /* @__PURE__ */ __name(() => DEFAULT_INFO_DB.version, "getVersion");
var db = {
  getVersion
};
var draw = /* @__PURE__ */ __name((text, id, version2) => {
  log.debug("rendering info diagram\n" + text);
  const svg = selectSvgElement(id);
  configureSvgSize(svg, 100, 400, true);
  const group = svg.append("g");
  group.append("text").attr("x", 100).attr("y", 40).attr("class", "version").attr("font-size", 32).style("text-anchor", "middle").text(`v${version2}`);
}, "draw");
var renderer = { draw };
var diagram = {
  parser,
  db,
  renderer
};
export {
  diagram
};
//# sourceMappingURL=infoDiagram-RZZSJVI2-2RGEZHKV.js.map
